Public APIs for Price List (PL)
Programmatically manage Price List per Customer rules: create rules with per-product pricing for individual customers, retrieve applied prices, and manage customer/product data.
These REST APIs let you manage customer pricing rules, calculate variant prices based on rules, and fetch customers/products.
Requirements
- Install the BSS B2B Solution Shopify app
- Get your Access Key (see below)
Get the Access Key
Section titled “Get the Access Key”- Get your API Key. If you don’t have one yet, please follow this document to generate it.
- All endpoints on this page are v1: include the key either as
accessKeyin the request body, or as a header:
x-bss-b2b-api-key: <accessKey>Exception: PUT /pl/delete-items and PUT /pl/update-items read the key from the request body only. Send accessKey in the JSON body; the header alone is rejected with 400 No domain or access key invalid.
⚠️ Not the same header as v2 (
x-api-key, used only by the Volume Pricing v2 endpoint): check the Authentication table if you’re integrating multiple API groups.
Rule Endpoints
Section titled “Rule Endpoints”Rule Field Reference
Section titled “Rule Field Reference”priority
Determines whether a rule is prioritized over another. Integer from 0 to 99.
status
0: inactive1: activeapply_to
0: All customers1: Logged-in customers2: Not-logged-in customers3: Specific customers4: Customer tags5: Company locationsapply_at
0: Product level1: Variant levelexc_product_type
0: None4: Exclude specific variantsexclude_from
0: none1: customer tags2: specific customers3: company locationsdiscount_type
0: Set a fixed price, Apply when: Only if lower1: Decrease a fixed amount2: Decrease in percentage (%)3: Set a fixed price, Apply when: Only if higher4: Increase a fixed amount5: Increase in percentage (%)6: Set a fixed price, Apply when: AlwaysWith 6, the price becomes exactly the discount_value you send. Types 0 and 3 are the Only if lower and Only if higher choices of Set a fixed price in the app: they apply the price you send only when it is lower (0) or higher (3) than the original price.
selected_products / selected_variants items
Items array applied to the rule depending on apply_at:
| Field | Type | Required | Description | Notes |
|---|---|---|---|---|
product_id |
string |
Yes | Shopify Product ID. | String format (e.g. "7208207614027") is strongly recommended to prevent 64-bit integer overflow issues in JSON parsers. |
variant_id |
string |
Yes (if apply_at: 1) |
Shopify Variant ID. | Required when applying at the variant level (apply_at: 1). Omit or leave empty when apply_at: 0. |
discount_type |
number |
Yes | Discount calculation method. | Options 0 to 6 (see discount type list above). |
discount_value |
number |
Yes | Value of the discount or price. | Must be $\ge 0$ for types 0, 1, 3, 4. Must be between 0 and 100 for percentage types 2, 5. Must be greater than 0 for type 6. |
A discount_type outside 0 to 6, or a discount_value outside these ranges, is rejected and the rule is not saved.
Example: set a fixed price (discount_type: 6)
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "data": { "name": "Fixed wholesale prices", "priority": 1, "status": 1, "apply_to": 4, "customer_tags": ["wholesale"], "exclude_from": 0, "apply_at": 0, "selected_products": [ { "product_id": "6909579886667", "discount_type": 6, "discount_value": 45 }, { "product_id": "6909579558987", "discount_type": 6, "discount_value": 19.9 } ], "selected_variants": [] }}Send this body to POST /api/v1/pl/save. The same discount_type and discount_value pair works in pl/bulk-save, pl/update and pl/update-items.
Notice for types 0 and 3: when a save request (pl/save, pl/bulk-save, pl/update, pl/update-items) has at least one discount_type of 0 or 3, it is still processed and saved as before, with the same status code and response fields. The response also gets a notices array, plus the headers Deprecation: @1791331200 (October 7, 2026, per RFC 9745) and Link: <https://docs.bss-b2b.solutions/b2b-solution/api-integration/public-apis/public-apis-for-price-list-pl/>; rel="deprecation". Requests that use only types 1, 2, 4, 5 or 6 get no notice.
"notices": [ { "code": "DISCOUNT_TYPE_OLDER_OPTION", "message": "discount_type 0 and 3 are older options and still work. We recommend discount_type 6 (Set a fixed price).", "docs": "https://docs.bss-b2b.solutions/b2b-solution/api-integration/public-apis/public-apis-for-price-list-pl/" }]Get rules by domain
Section titled “Get rules by domain”POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/get-by-domain
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx"}Response (example)
{ "success": true, "rules": [ { "id": 186827, "shop_id": 16109, "name": "Pricelist_1", "priority": 0, "status": 1, "apply_to": 0, "apply_at": 0, "customer_ids": "", "customer_tags": "", "exc_customer_tags": "", "exclude_from": 0, "start_date": "2024-06-25T08:23:09.000Z", "end_date": "2024-06-25T08:23:09.000Z", "exc_customers": "", "start_time": "15:23:00", "end_time": "15:23:00", "enable_end_date": 0, "file_theme_index": null, "exc_product_collections": "", "exc_product_tags": "", "exc_product_type": 4, "exc_product_variants": "40201792192587,40201792225355", "exc_specific_products": "", "createdAt": "2024-06-25T08:23:11.000Z", "updatedAt": "2024-06-25T08:23:11.000Z", "deletedAt": null }, { "id": 186828, "shop_id": 16109, "name": "Pricelist_2", "priority": 0, "status": 1, "apply_to": 4, "apply_at": 1, "customer_ids": "", "customer_tags": "b2b", "exc_customer_tags": "", "exclude_from": 0, "start_date": "2024-06-25T08:53:01.000Z", "end_date": "2024-06-25T08:53:01.000Z", "exc_customers": "", "start_time": "15:53:00", "end_time": "15:53:00", "enable_end_date": 0, "file_theme_index": null, "exc_product_collections": "", "exc_product_tags": "", "exc_product_type": 0, "exc_product_variants": "", "exc_specific_products": "", "createdAt": "2024-06-25T08:53:02.000Z", "updatedAt": "2024-06-25T08:53:02.000Z", "deletedAt": null } ]}Get rules by id
Section titled “Get rules by id”POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/get-by-id
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "id": 7}Response (example)
{ "success": true, "rule": { "id": 186827, "name": "Pricelist_1", "priority": 0, "status": 1, "apply_to": 0, "apply_at": 0, "exclude_from": 0, "exc_product_type": 4, "start_date": "2024-06-25T08:23:09.000Z", "end_date": "2024-06-25T08:23:09.000Z", "customer_ids": [], "customer_tags": [], "exc_customer_tags": [], "exc_customers": [], "exc_product_collections": [], "exc_product_tags": [], "exc_product_variants": [ "40201792192587", "40201792225355" ], "exc_specific_products": [], "start_time": "15:23:00", "end_time": "15:23:00", "enable_end_date": 0, "selected_products": [ { "product_id": "6909579886667", "discount_type": 0, "discount_value": 111 }, { "product_id": "6909579558987", "discount_type": 0, "discount_value": 300 }, { "product_id": "6909579919435", "discount_type": 0, "discount_value": 505 }, { "product_id": "6909579853899", "discount_type": 0, "discount_value": 333 }, { "product_id": "6909579690059", "discount_type": 0, "discount_value": 333 } ], "selected_variants": [] }}Get rules by products
Section titled “Get rules by products”POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/get-rules-by-products
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "product_ids": [7208233467979, 7208233467980], "product_tags": ["b2b", "pants"]}You can choose to get rules by either product IDs or product tags.
Response (example)
{ "success": true, "data": [ { "productId": "7208233467979", "variantId": "41007944728651", "ruleId": 124, "ruleName": "Rule name", "appliedPrice": 600 }, { "productId": "7208233467979", "variantId": "41007944761419", "ruleId": 124, "ruleName": "Rule name", "appliedPrice": 400 }, { "productId": "7208233467979", "variantId": "41007944794187", "ruleId": 124, "ruleName": "Rule name", "appliedPrice": 600 }, { "productId": "7208233467979", "variantId": "41007944826955", "ruleId": 124, "ruleName": "Rule name", "appliedPrice": 600 }, { "productId": "7208207614027", "variantId": "41007876440139", "ruleId": 124, "ruleName": "Rule name", "appliedPrice": 95 }, { "productId": "7208207614027", "variantId": "41007876472907", "ruleId": 124, "ruleName": "Rule name", "appliedPrice": 95 } ]}Get rules by customers
Section titled “Get rules by customers”POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/get-rules-by-customers
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "customer_ids": [7208233467979, 7208233467980], "customer_tags": ["b2b", "pants"]}You can choose to get rules by either customer IDs or customer tags.
Response (example)
{ "success": true, "data": [ { "customerId": "6764123291723", "rules": [ { "ruleId": 2151079182, "ruleName": "Wholesale", "customerTags": ["b2b"] } ] }, { "customerId": "7196156198987", "rules": [ { "ruleId": 2151079182, "ruleName": "Wholesale", "customerTags": ["b2b"] } ] }, { "customerId": "7905261387851", "rules": [ { "ruleId": 2151079182, "ruleName": "Wholesale", "customerTags": ["b2b"] } ] } ]}Create or Update a single rule
Section titled “Create or Update a single rule”Limit: You can create a rule of 10,000 products/variants.
POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/save
Headers
Content-Type: application/jsonBody
If there is no id in the request data, a new rule is created. Otherwise, all the data of the existing rule with id will be replaced.
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "data": { "name": "pricelist_3", "priority": 3, "status": 1, "apply_to": 1, "apply_at": 1, "selected_products": [], "selected_variants": [ { "product_id": "8174450049309", "variant_id": "44524354928925", "discount_type": 1, "discount_value": 123 }, { "product_id": "8174450049309", "variant_id": "44524354961693", "discount_type": 2, "discount_value": 10 } ], "customer_ids": [], "customer_tags": [], "exclude_from": 1, "exc_customer_tags": ["b2b"], "exc_customers": "", "exc_product_type": 4, "exc_product_variants": [ 39699783614639, 39699785384111, 42752015040687, 39699790430383, 39699784728751, 42752028967087, 40205671989423 ], "start_date": null, "end_date": null }}Response (example)
{ "success": true, "message": "Created the pricing list rule successfully", "payload": { "id": 186829 }}Create or Update multiple rules
Section titled “Create or Update multiple rules”Limit: You can create a rule of 10,000 products/variants.
POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/bulk-save
Headers
Content-Type: application/jsonBody
If there is no id, a new rule is created. Otherwise, the existing rule with id will be overridden.
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "rules": [ { "id": null, "name": "Rule name", "priority": 3, "status": 1, "apply_to": 1, "apply_at": 0, "selected_products": [ { "product_id": "6701684228181", "discount_type": 1, "discount_value": 123 }, { "product_id": "6701683802197", "discount_type": 2, "discount_value": 10 } ], "customer_ids": [], "customer_tags": [], "exc_customer_tags": ["Leorio"], "exclude_from": 1, "exc_customers": [], "exc_product_type": 4, "exc_product_variants": [ 39699783614639, 39699785384111, 42752015040687, 39699790430383, 39699784728751, 42752028967087, 40205671989423 ], "start_date": "2022-03-08T17:00:00.000Z", "end_date": "2022-03-25T17:00:00.000Z" }, { "id": 124, "name": "Rule name", "priority": 3, "status": 1, "apply_to": 1, "apply_at": 1, "selected_products": [], "selected_variants": [ { "product_id": "8174450049309", "variant_id": "44524354928925", "discount_type": 1, "discount_value": 123 }, { "product_id": "8174450049309", "variant_id": "44524354961693", "discount_type": 2, "discount_value": 10 } ], "customer_ids": [], "customer_tags": [], "exc_customer_tags": ["Leorio"], "exclude_from": 1, "exc_customers": [], "exc_product_type": 0, "exc_product_variants": [], "start_date": "2022-03-08T17:00:00.000Z", "end_date": "2022-03-25T17:00:00.000Z" } ]}Response (example)
{ "success": true, "message": [ "Create new rule 'Rule name' with ID 186830 successfully", "Update rule ID 124 successfully" ]}Update product data to a single rule
Section titled “Update product data to a single rule”This endpoint helps you:
- Add new specific products to your existing rule
(If the product/variant ID does not exist in the rule, it is treated as new) - Edit existing product data in the rule
(If the product/variant ID already exists, it is treated as existing)
PUT https://solution-public-api.bss-b2b.solutions/api/v1/pl/update
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "data": { "id": 204987, "name": "PL rule", "priority": 87, "status": 0, "apply_to": 3, "apply_at": 1, "selected_products": [], "selected_variants": [ { "product_id": "7607393812655", "variant_id": "42752015040687", "discount_type": 1, "discount_value": 59 }, { "product_id": "6669597180079", "variant_id": "39700823736495", "discount_type": 2, "discount_value": 78 }, { "product_id": "6669280215215", "variant_id": "39699785384111", "discount_type": 2, "discount_value": 74 } ], "customer_ids": ["5898365796527", "5904531751087", "5895219937455", "6827377393839"], "customer_tags": [], "exclude_from": 1, "exc_customer_tags": ["ccc", "exc_cus"], "exc_customers": [], "exc_product_type": 4, "exc_product_variants": [ 39699783614639, 42752028967087, 40205671989423, 39699790430383, 40205671956655, 42752015040687, 39699784728751 ], "start_date": "2024-10-17T02:42:59.660Z", "end_date": "2024-10-17T02:44:39.660Z" }}Response
{ "success": true, "message": "Rule ID 204987 is updated"}Update product data to multiple rules
Section titled “Update product data to multiple rules”This endpoint helps you:
- Add new specific products to your existing rules
- Edit existing product data in the rules
PUT https://solution-public-api.bss-b2b.solutions/api/v1/pl/update-items
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xyz", "rules": [ { "id": 124, "apply_at": 1, "selected_products": [], "selected_variants": [ { "product_id": "7208207614027", "variant_id": "41007876440139", "discount_type": 1, "discount_value": 30 }, { "product_id": "7208207614027", "variant_id": "41007876472907", "discount_type": 2, "discount_value": 10 } ] }, { "id": 204987, "apply_at": 0, "selected_products": [ { "product_id": "7607393812655", "discount_type": 1, "discount_value": 59 }, { "product_id": "6669597180079", "discount_type": 2, "discount_value": 78 }, { "product_id": "6669280215215", "discount_type": 2, "discount_value": 74 } ], "selected_variants": [] } ]}Response (success)
{ "success": true, "message": "Success", "data": { "success": ["Rule ID 204987 updated", "Rule ID 204990 updated"], "failed": [] }}Response (mixed)
{ "success": true, "message": "Success", "data": { "success": ["Rule ID 124 updated"], "failed": [ { "rule_id": 204987, "errors": ["ID does not exist"] } ] }}Delete rule
Section titled “Delete rule”POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/delete
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "id": 6}Response
{ "success": true, "message": "Deleted rule successfully"}Delete multiple rules
Section titled “Delete multiple rules”POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/bulk-delete
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "ids": [6, 7]}Response
{ "success": true, "message": "Deleted multiple rule successfully"}Remove existing products from rules
Section titled “Remove existing products from rules”PUT https://solution-public-api.bss-b2b.solutions/api/v1/pl/delete-items
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "rules": [ { "id": 1, "apply_at": 0, "product_ids": ["8746948362490", "8746948329722"], "variant_ids": [] }, { "id": 2, "apply_at": 1, "product_ids": [], "variant_ids": ["8746948362455", "8746948329777"] } ]}Response (success)
{ "success": true, "message": "Success", "data": { "success": ["Rule ID 1 updated"], "failed": [] }}Response (error)
{ "success": false, "message": "Fail", "data": { "success": [], "failed": [ { "rule_id": 2, "errors": ["Invalid apply_at", "variant_ids must be array"] } ] }}Get Applied Rules for Products
Section titled “Get Applied Rules for Products”POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/get-products-applied-rules
Headers
Content-Type: application/jsonBody
If customer_id is null, the system checks Price List Rules that apply to all or not-logged-in customers.
{ "domain": "abc.myshopify.com", "accessKey": "xxxx", "product_ids": [6701683802197, 6701684228181], "customer_id": 5639955775573}Response (example)
{ "success": true, "productsAppliedRule": [ { "id": "6701683802197", "discount_type": 2, "value": "10.00", "name": "Rule name" }, { "id": "6701684228181", "discount_type": 1, "value": "123.00", "name": "Rule name" } ]}Get Price List of Variants based on Applied Rules
Section titled “Get Price List of Variants based on Applied Rules”POST https://solution-public-api.bss-b2b.solutions/api/v1/pl/get-variants-price-list
Headers
Content-Type: application/jsonBody
If customer_id is null, the system checks Price List Rules that apply to all or not-logged-in customers.
"expand" must be "products" or "variants" based on the applied level in the rule.
{ "domain": "abc.myshopify.com", "accessKey": "xxxx", "product_ids": [6701683802197, 6701684228181], "customer_id": 5639955775573, "expand": "products"}Response (example)
{ "success": true, "priceList": [ { "id": "6701683802197", "discount_type": 2, "value": "10.00", "name": "Rule name", "variants": [ { "id": "39878990823509", "price": "30", "compareAtPrice": null, "appliedRulePrice": 27 }, { "id": "39878990856277", "price": "30", "compareAtPrice": null, "appliedRulePrice": 27 } ] }, { "id": "6701684228181", "discount_type": 1, "value": "123.00", "name": "Rule name", "variants": [ { "id": "39878991315029", "price": "619", "compareAtPrice": null, "appliedRulePrice": 496 } ] } ]}Product Endpoints
Section titled “Product Endpoints”Search products
Section titled “Search products”POST https://solution-public-api.bss-b2b.solutions/api/v1/product/search
Headers
Content-Type: application/jsonBody
afterIndex is a cursor. If null, search starts from the beginning.
Example cursor: eyJsYXN0X2lkIjo2NjU1NDU2Mzc5MDUzLCJsYXN0X3ZhbHVlIjo2NjU1NDU2Mzc5MDUzfQ==
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "afterIndex": null, "first": 20, "searchQuery": "ocean"}Response (example)
{ "success": true, "productList": { "edges": [ { "node": { "id": "gid://shopify/Product/6586580271277", "title": "Ocean Blue Shirt", "handle": "ocean-blue-shirt", "productType": "", "totalVariants": 1, "hasOnlyDefaultVariant": true, "priceRange": { "minVariantPrice": { "currencyCode": "VND", "amount": "50.0" }, "maxVariantPrice": { "currencyCode": "VND", "amount": "50.0" } }, "featuredImage": { "transformedSrc": "https://cdn.shopify.com/s/files/1/0538/3874/1677/products/young-man-in-bright-fashion_925x_5251bcfa-6939-4d7a-9287-dd9bf058ed03.jpg?v=1616405807" }, "onlineStoreUrl": null }, "cursor": "eyJsYXN0X2lkIjo2NTg2NTgwMjcxMjc3LCJsYXN0X3ZhbHVlIjo2NTg2NTgwMjcxMjc3fQ==" }, { "node": { "id": "gid://shopify/Product/6655456379053", "title": "Riri Bracelet", "handle": "riri-bracelet-rose", "productType": "women's bracelets", "totalVariants": 1, "hasOnlyDefaultVariant": false, "priceRange": { "minVariantPrice": { "currencyCode": "VND", "amount": "68.0" }, "maxVariantPrice": { "currencyCode": "VND", "amount": "68.0" } }, "featuredImage": { "transformedSrc": "https://cdn.shopify.com/s/files/1/0538/3874/1677/products/2015-04-20_Accessories_31_23500_21376.jpg?v=1619597977" }, "onlineStoreUrl": null }, "cursor": "eyJsYXN0X2lkIjo2NjU1NDU2Mzc5MDUzLCJsYXN0X3ZhbHVlIjo2NjU1NDU2Mzc5MDUzfQ==" } ], "pageInfo": { "hasNextPage": false, "hasPreviousPage": false } }}Get Product Tags
Section titled “Get Product Tags”POST https://solution-public-api.bss-b2b.solutions/api/v1/product/get-tags
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx" }Response (example)
{ "success": true, "productTags": { "tags": [ "cotton blouse", "Couch", "cowl", "cpace", "Crane", "cream", "crepe wool", "crew", "crew neck", "crewneck", "crisp" ], "last_cursor": "Y3Jpc3A=" }}Get Products by Tags
Section titled “Get Products by Tags”POST https://solution-public-api.bss-b2b.solutions/api/v1/product/get-by-tags
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "afterIndex": null, "first": 20, "tags": ["tag1", "tags2", "t3"], "operation": "AND"}Operation
"AND"→ returned products must contain all tags.
"OR"→ returned products must contain any tag in the array.
Response (example)
{ "success": true, "productList": [ { "id": "gid://shopify/Product/6586590625965", "title": "Anchor Bracelet Mens", "handle": "leather-anchor", "productType": "Bracelet", "totalVariants": 2, "hasOnlyDefaultVariant": false, "priceRange": { "minVariantPrice": { "currencyCode": "VND", "amount": "55.0" }, "maxVariantPrice": { "currencyCode": "VND", "amount": "70.0" } }, "featuredImage": { "transformedSrc": "https://cdn.shopify.com/s/files/1/0538/3874/1677/products/anchor-bracelet-mens_925x_8dcf313c-5c78-41ea-874d-59804d449315.jpg?v=1616407017" }, "onlineStoreUrl": null } ]}Get Products by IDs
Section titled “Get Products by IDs”POST https://solution-public-api.bss-b2b.solutions/api/v1/product/get-by-ids
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "ids": [6586590625965]}Response (example)
{ "success": true, "productList": [ { "id": "gid://shopify/Product/6586590625965", "title": "Anchor Bracelet Mens", "handle": "leather-anchor", "productType": "Bracelet", "totalVariants": 2, "hasOnlyDefaultVariant": false, "priceRange": { "minVariantPrice": { "currencyCode": "VND", "amount": "55.0" }, "maxVariantPrice": { "currencyCode": "VND", "amount": "70.0" } }, "featuredImage": { "transformedSrc": "https://cdn.shopify.com/s/files/1/0538/3874/1677/products/anchor-bracelet-mens_925x_8dcf313c-5c78-41ea-874d-59804d449315.jpg?v=1616407017" }, "onlineStoreUrl": null } ]}Customer Endpoints
Section titled “Customer Endpoints”Search Customers
Section titled “Search Customers”POST https://solution-public-api.bss-b2b.solutions/api/v1/customer/search
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "afterIndex": null, "first": 20, "searchQuery": "nta"}Response (example)
{ "success": true, "customers": [ { "node": { "id": "gid://shopify/Customer/5127974846637", "displayName": "nta", "firstName": "n", "lastName": "ta", "phone": null, "tags": ["wholesale"], "note": "" }, "cursor": "eyJsYXN0X2lkIjo1MTI3OTc0ODQ2NjM3LCJsYXN0X3ZhbHVlIjo1MTI3OTc0ODQ2NjM3fQ==" } ]}Get Customer Tags
Section titled “Get Customer Tags”POST https://solution-public-api.bss-b2b.solutions/api/v1/customer/get-tags
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx" }Response (example)
{ "success": true, "customerTags": [ { "node": "wholesale", "cursor": "d2hvbGVzYWxl" } ]}Get Customers by IDs
Section titled “Get Customers by IDs”POST https://solution-public-api.bss-b2b.solutions/api/v1/customer/get-by-ids
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "ids": [5127974846637]}Response (example)
{ "success": true, "customerList": [ { "id": "gid://shopify/Customer/5127974846637", "displayName": "nta", "firstName": "n", "lastName": "ta" } ]}Get Customers by Tags
Section titled “Get Customers by Tags”POST https://solution-public-api.bss-b2b.solutions/api/v1/customer/get-by-tags
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx", "afterIndex": null, "first": 20, "tags": ["tag1", "tags2"], "operation": "AND"}Operation
"AND"→ must contain all tags.
"OR"→ must contain any tag.
Response (example)
{ "success": true, "customers": [ { "node": { "id": "gid://shopify/Customer/5127974846637", "displayName": "nta", "firstName": "n", "lastName": "ta", "phone": null, "tags": ["wholesale"], "note": "" }, "cursor": "eyJsYXN0X2lkIjo1MTI3OTc0ODQ2NjM3LCJsYXN0X3ZhbHVlIjo1MTI3OTc0ODQ2NjM3fQ==" } ]}Collection Endpoints
Section titled “Collection Endpoints”POST https://solution-public-api.bss-b2b.solutions/api/v1/collection/get-list
Returns your product collections (up to 250) in a collections array.
Headers
Content-Type: application/jsonBody
{ "domain": "abc.myshopify.com", "accessKey": "xxx"}Response (example)
{ "success": true, "collections": [ { "id": "gid://shopify/Collection/123456789", "image": null, "title": "Wholesale", "handle": "wholesale" } ]}Request Handling Policy
Section titled “Request Handling Policy”- We handle one request at a time.
- After your request is completed, the next one will be processed.
- In case of a server error, it may take up to 3 minutes to recover and process a new request.
- While a
bulk-save,bulk-delete,delete-itemsorupdate-itemscall is running, otherbulk-save,mass-deleteandbulk-deletecalls for the same store, in any module (CP, PL, VP), return429 Domain is executing another process. Try later.
- Public APIs for Credit LimitRead each customer's credit limit, owed, pending and available amounts with the Credit limit API for Net Terms, and sync them with your ERP or accounting tool.
- Public APIs for Custom Pricing (CP)Programmatically manage Custom Pricing rules via REST API, create, retrieve, update, delete rules, and calculate prices for specific customers.
- Public APIs for Registration form (RF)Programmatically manage wholesale registration workflows, retrieve form schemas, create registrants, filter applicants, and manage approval status.
- Public APIs for UploadingThese public endpoints allow you to upload pricing and discount rules from an external system directly into your Shopify store using BSS B2B Solution.